Qt 5.7 | Qt 3D | C++ Classes | QGeometryFactory

Qt 5.7.1 Reference Documentation

# QGeometryFactory Class

(Qt3DRender::QGeometryFactory)

Inherits: | QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QGeometryFactory()
virtual QGeometry * | operator()() = 0
virtual bool | operator==(const QGeometryFactory &other) const = 0

- 2 public functions inherited from Qt3DRender::QAbstractFunctor

## Member Function Documentation

### `[virtual]` QGeometryFactory::~QGeometryFactory()

Destroys the instance of QGeometryFactory. The destructor is virtual.

### `[pure virtual]` QGeometry *QGeometryFactory::operator()()

### `[pure virtual]` bool QGeometryFactory::operator==(const QGeometryFactory &other) const